| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
MinimalEnumeratedType Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure MinimalEnumeratedType defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | MinimalEnumeratedType ()
| Default constructor.
eProsima_user_DllExport | ~MinimalEnumeratedType ()
| Default destructor.
eProsima_user_DllExport | MinimalEnumeratedType (const MinimalEnumeratedType &x)
| Copy constructor.
eProsima_user_DllExport | MinimalEnumeratedType (MinimalEnumeratedType &&x) noexcept
| Move constructor.
eProsima_user_DllExport MinimalEnumeratedType & | operator= (const MinimalEnumeratedType &x)
| Copy assignment.
eProsima_user_DllExport MinimalEnumeratedType & | operator= (MinimalEnumeratedType &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const MinimalEnumeratedType &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const MinimalEnumeratedType &x) const
| Comparison operator.
eProsima_user_DllExport void | enum_flags (const EnumTypeFlag &_enum_flags)
| This function copies the value in member enum_flags.
eProsima_user_DllExport void | enum_flags (EnumTypeFlag &&_enum_flags)
| This function moves the value in member enum_flags.
eProsima_user_DllExport const EnumTypeFlag & | enum_flags () const
| This function returns a constant reference to member enum_flags.
eProsima_user_DllExport EnumTypeFlag & | enum_flags ()
| This function returns a reference to member enum_flags.
eProsima_user_DllExport void | header (const MinimalEnumeratedHeader &_header)
| This function copies the value in member header.
eProsima_user_DllExport void | header (MinimalEnumeratedHeader &&_header)
| This function moves the value in member header.
eProsima_user_DllExport const MinimalEnumeratedHeader & | header () const
| This function returns a constant reference to member header.
eProsima_user_DllExport MinimalEnumeratedHeader & | header ()
| This function returns a reference to member header.
eProsima_user_DllExport void | literal_seq (const MinimalEnumeratedLiteralSeq &_literal_seq)
| This function copies the value in member literal_seq.
eProsima_user_DllExport void | literal_seq (MinimalEnumeratedLiteralSeq &&_literal_seq)
| This function moves the value in member literal_seq.
eProsima_user_DllExport const MinimalEnumeratedLiteralSeq & | literal_seq () const
| This function returns a constant reference to member literal_seq.
eProsima_user_DllExport MinimalEnumeratedLiteralSeq & | literal_seq ()
| This function returns a reference to member literal_seq.

## Detailed Description

This class represents the structure MinimalEnumeratedType defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ MinimalEnumeratedType() [1/3]

eProsima_user_DllExport MinimalEnumeratedType | ( |  | ) |

inline

Default constructor.

## ◆ ~MinimalEnumeratedType()

eProsima_user_DllExport ~MinimalEnumeratedType | ( |  | ) |

inline

Default destructor.

## ◆ MinimalEnumeratedType() [2/3]

eProsima_user_DllExport MinimalEnumeratedType | ( | const MinimalEnumeratedType & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object MinimalEnumeratedType that will be copied.

## ◆ MinimalEnumeratedType() [3/3]

eProsima_user_DllExport MinimalEnumeratedType | ( | MinimalEnumeratedType && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object MinimalEnumeratedType that will be copied.

## Member Function Documentation

## ◆ enum_flags() [1/4]

eProsima_user_DllExport EnumTypeFlag & enum_flags | ( |  | ) |

inline

This function returns a reference to member enum_flags.

Returns
  Reference to member enum_flags

## ◆ enum_flags() [2/4]

eProsima_user_DllExport const EnumTypeFlag & enum_flags | ( |  | ) | const

inline

This function returns a constant reference to member enum_flags.

Returns
  Constant reference to member enum_flags

## ◆ enum_flags() [3/4]

eProsima_user_DllExport void enum_flags | ( | const EnumTypeFlag & | _enum_flags | ) |

inline

This function copies the value in member enum_flags.

Parameters

  _enum_flags | New value to be copied in member enum_flags

## ◆ enum_flags() [4/4]

eProsima_user_DllExport void enum_flags | ( | EnumTypeFlag && | _enum_flags | ) |

inline

This function moves the value in member enum_flags.

Parameters

  _enum_flags | New value to be moved in member enum_flags

## ◆ header() [1/4]

eProsima_user_DllExport MinimalEnumeratedHeader & header | ( |  | ) |

inline

This function returns a reference to member header.

Returns
  Reference to member header

## ◆ header() [2/4]

eProsima_user_DllExport const MinimalEnumeratedHeader & header | ( |  | ) | const

inline

This function returns a constant reference to member header.

Returns
  Constant reference to member header

## ◆ header() [3/4]

eProsima_user_DllExport void header | ( | const MinimalEnumeratedHeader & | _header | ) |

inline

This function copies the value in member header.

Parameters

  _header | New value to be copied in member header

## ◆ header() [4/4]

eProsima_user_DllExport void header | ( | MinimalEnumeratedHeader && | _header | ) |

inline

This function moves the value in member header.

Parameters

  _header | New value to be moved in member header

## ◆ literal_seq() [1/4]

eProsima_user_DllExport MinimalEnumeratedLiteralSeq & literal_seq | ( |  | ) |

inline

This function returns a reference to member literal_seq.

Returns
  Reference to member literal_seq

## ◆ literal_seq() [2/4]

eProsima_user_DllExport const MinimalEnumeratedLiteralSeq & literal_seq | ( |  | ) | const

inline

This function returns a constant reference to member literal_seq.

Returns
  Constant reference to member literal_seq

## ◆ literal_seq() [3/4]

eProsima_user_DllExport void literal_seq | ( | const MinimalEnumeratedLiteralSeq & | _literal_seq | ) |

inline

This function copies the value in member literal_seq.

Parameters

  _literal_seq | New value to be copied in member literal_seq

## ◆ literal_seq() [4/4]

eProsima_user_DllExport void literal_seq | ( | MinimalEnumeratedLiteralSeq && | _literal_seq | ) |

inline

This function moves the value in member literal_seq.

Parameters

  _literal_seq | New value to be moved in member literal_seq

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const MinimalEnumeratedType & | x | ) | const

inline

Comparison operator.

Parameters

  x | MinimalEnumeratedType object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport MinimalEnumeratedType & operator= | ( | const MinimalEnumeratedType & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object MinimalEnumeratedType that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport MinimalEnumeratedType & operator= | ( | MinimalEnumeratedType && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object MinimalEnumeratedType that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const MinimalEnumeratedType & | x | ) | const

inline

Comparison operator.

Parameters

  x | MinimalEnumeratedType object to compare.

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp